# epimdr2

Functions, data sets and shiny apps for "Epidemics: Models and Data in R (2nd ed)" by Ottar N. Bjornstad (ISBN 978-3-031-12055-8) <https://link.springer.com/book/10.1007/978-3-319-97487-3>. The package contains functions to study the S(E)IR model, spatial and age-structured SIR models; time-series SIR and chain-binomial stochastic models; catalytic disease models; coupled map lattice models of spatial transmission and network models for social spread of infection. The package is also an advanced quantitative companion to the coursera Epidemics Massive Online Open Course <https://www.coursera.org/learn/epidemics>.
Depends: R (>= 4.0.0), shiny, deSolve, plotly
Imports: polspline, phaseR, ggplot2
Suggests: ade4, bbmle, fields, forecast, imputeTS, lme4, ncf, nleqslv,
        nlme, nlts, plotrix, pomp, rootSolve, Rwave, rworldmap,
        statnet, scatterplot3d
License: GPL-3
URL: <https://github.com/objornstad/epimdr2>, <https://link.springer.com/book/10.1007/978-3-319-97487-3>, <https://ento.psu.edu/directory/onb1> 
